﻿using System;
using System.Threading;
using Microsoft.SPOT;
using Microsoft.SPOT.Hardware;
using GHIElectronics.NETMF.FEZ;



namespace NETMF_Switches
{
    public class Program
    {
        /// <summary>
        /// Using switches
        /// </summary>
        public static void Main()
        {
            // Configure pin 12 as output ot control the LED
            OutputPort led = new OutputPort((Cpu.Pin)FEZ_Pin.Digital.Di12, false);

            // The tilt switch
            InputPort tiltswitch = new InputPort((Cpu.Pin)FEZ_Pin.Digital.Di11, true, Port.ResistorMode.PullUp);

            // The button
            InputPort button = new InputPort((Cpu.Pin)FEZ_Pin.Digital.Di7, true, Port.ResistorMode.PullUp);


            // Main loop
            while (true)
            {
                // Sleep for 50ms
                Thread.Sleep(50);

                // Read the status of the tilt switch
                //bool status = !tiltswitch.Read();

                // Read the status of the button
                bool status = !button.Read();

                // Write the current state to the LED output pin
                led.Write(status);

            }
        }

    }
}
